.TH "pyspottedunipd.analysis.models.TimeAnalysis" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.analysis.models.TimeAnalysis \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits \fBpyspottedunipd\&.analysis\&.models\&.StatsAnalysis\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBdataset_file\fP)"
.br
.ti -1c
.RI "def \fBparse_csv\fP (self)"
.br
.ti -1c
.RI "def \fBmonths_clusters_of_top_posts\fP (self)"
.br
.ti -1c
.RI "def \fBhours_clusters_of_top_posts\fP (self)"
.br
.in -1c
.SS "Static Public Attributes"

.in +1c
.ti -1c
.RI "list \fBHEADERS_TO_ANALYZE\fP"
.br
.ti -1c
.RI "list \fBTIME_HEADERS_TO_CONVERT\fP"
.br
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 

.PP
.nf
Analysis on timing of posts 
.fi
.PP
 
.PP
Definition at line 259 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.__init__ ( self,  dataset_file)"

.PP
.nf
:param dataset_file: str
    Path to folder with data to analyse

.fi
.PP
 
.PP
Definition at line 293 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.hours_clusters_of_top_posts ( self)"

.PP
.nf
:return: void
    Shows plot with x: hours, y number of most liked posts in that month

.fi
.PP
 
.PP
Definition at line 347 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.months_clusters_of_top_posts ( self)"

.PP
.nf
:return: void
    Shows plot with x: months, y number of most liked posts in that month

.fi
.PP
 
.PP
Definition at line 311 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.parse_csv ( self)"

.PP
.nf
:return: tuple [], [] of []
    Headers of csv file and data

.fi
.PP
 
.PP
Definition at line 301 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "list pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.HEADERS_TO_ANALYZE\fC [static]\fP"
\fBInitial value:\fP
.PP
.nf
1 = [
2         # "message",
3         "comments",
4         # "date",
5         # "time",
6         "likes",
7         "shares",
8         # "id",
9         # "year",
10         "month",
11         "day",
12         "hour",
13         "minute",
14         # "second",
15         "# words",
16         "avg length of words",
17         "# words longer than 3",
18         "avg length of words longer than 3",
19         "# words longer than 5",
20         "avg length of words longer than 5",
21         "# words longer than 7",
22         "avg length of words longer than 7",
23         "# words longer than 9",
24         "avg length of words longer than 9",
25         "# words longer than 11",
26         "avg length of words longer than 11"
27     ]
.fi
.PP
Definition at line 262 of file models\&.py\&.
.SS "list pyspottedunipd\&.analysis\&.models\&.TimeAnalysis\&.TIME_HEADERS_TO_CONVERT\fC [static]\fP"
\fBInitial value:\fP
.PP
.nf
1 = [
2         # "time"
3     ]
.fi
.PP
Definition at line 289 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
